%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Lingua-EN-Numbers-Ordinate


Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Lingua::EN::Numbers::Ordinate -- go from cardinal number (3) to ordinal ("3rd")
Name:		perl-%{perlname}
Version:	1.02
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Lingua+EN+Numbers+Ordinate
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
There are two kinds of numbers in English -- cardinals 
(1, 2, 3...), and ordinals (1st, 2nd, 3rd...). This 
library provides functions for giving the ordinal form 
of a number, given its cardinal value.
For more details see: http://search.cpan.org/search?module=Lingua+EN+Numbers+Ordinate

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.02-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.02-1
- Initial Release
